<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of PhpMyVistes Plugin for Dotclear 2.
# 
# Copyright (c) 2008 Akewea.com
# 
# PhpMyVistes Plugin for Dotclear 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# PhpMyVistes Plugin for Dotclear 2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PhpMyVistes Plugin for Dotclear 2.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
$m_version = $core->plugins->moduleInfo('phpmyvisites','version');
 
$i_version = $core->getVersion('phpmyvisites');
 
if (version_compare($i_version,$m_version,'>=')) {
	return;
}
 
# Création des setting (s'ils existent, ils ne seront pas écrasés)
$settings = new dcSettings($core,null);
$settings->addNameSpace('phpmyvisites');
$settings->phpmyvisites->put('phpmyvisites_url','','string','phpMyVisites tracker URL',false,true);
$settings->phpmyvisites->put('phpmyvisites_js_url','','string','phpMyVisites javascript URL',false,true);
$settings->phpmyvisites->put('phpmyvisites_site_id',0,'integer','phpMyVisites site ID for this blog',false,true);

$core->setVersion('phpmyvisites',$m_version);
?>